Search
Keywords
Adobe Flash Player (2)Adobe Reader (3)Browser (6)Internet Explorer (5)System requirements (2)Web page (3)Website (3)

FAQs › What are the system requirements for Companion Websites?

The system requirements for Companion Websites are as follows:
  • Internet connection
  • Recommended browsers:
    • Windows Internet Explorer 8 or greater (recommended)
    • Mozilla Firefox (latest edition)
    • Google Chrome (latest edition)
    • Apple Safari (latest edition)
  • Adobe Reader
  • Adobe Flash Player (For titles copyright year 2013 and earlier)
  • Microsoft Office 2007 or greater
  • Allow popup windows
  • JavaScript enabled
Note: All Companion Websites are different. Not every site will require all of these.

‹‹‹ Back to FAQ List